using System.Collections.Generic;
using System.Threading.Tasks;
using OnlineAssessment.Domain;

namespace OnlineAssessment.Data
{
    public interface IRepository<T> where T : class, IEntity
    {
        List<T> GetAll();
        Task<T> Get(int id);
        Task<T> Add(T entity);
        Task<T> Update(T entity);
        bool Delete(int id);
        string GetMessageByCode(string message_code, string what2replace = "");
        byte[] ConvertStringToBytes(string theString);
        string ConvertBytesToString(byte[] theBytes);
    }
}
